package parser;

import java.util.Vector;

public class BranchNode implements Node {
 private Node[] nodes;
 private Operation operation;

 protected BranchNode(String creationString) {
  operation = OperationFactory.getNextOperation(creationString);
  nodes = operation.devideAndCreate(creationString);
 }

 public double getValue(Vector variables) {
  return operation.link(nodes, variables);
 }

}
